module.exports = class {
  constructor(type,func) {
    this.type = type
    this.func = func
    if (type === "connect") {
      func()
    }
    if (type === "published") {
      setInterval(function() { func() }, 5000)
    }
    if (type === "message") {
      console.log("Error: message event cannot be handled")
      var message = {"content": [], "channel": [], "self": null, "error": "Error contacting the server"} // supposed to be message constructor
      return func(message)
    }
  }
}